[INACTIVE][ADMN] Wandmin v0.35 - Easy command use [602-677]

Discussion in 'Inactive/Unsupported Plugins' started by NathanWolf, Jan 24, 2011.

  1. Offline

    NathanWolf

    Wandmin - Easy command use, with a "magic" wand

    Features
    The Wandmin plugin lets you bind any command to your wand. You can create multiple wands to create things organized.

    Downloads
    Grab elBukkit.zip to get all of my plugins- take out the ones you don't want.

    For more details on Wandmin, or for individual jar downloads, see the Wandmin wiki.


    Donations
    If you really love this stuff, and you're feeling generous, I'd more than appreciate a donation.

    Go here if you're interested!

    Changelog
    View changelog on github
     
    Miome, Shadus, wOur and 1 other person like this.
  2. Offline

    Daffman

    Is wandmin only for console commands? not for commands like "/home"?
     
  3. Offline

    NathanWolf

    Like your new avatar :)

    If you're using internal permissions, you can open up permissions.yml in notepad to see which spells are given out by default.

    If you're using Permissions, then you have none unless you've added them yourself!

    Not entirely sure I understand the question- wandmin works with any console command, including "/home" (which is an in-game console command).

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 6, 2016
  4. Offline

    TheWolfmasterX

    Thanks :D

    But I think I am using Permissions (I've downloaded it from the upper part of this thread), but how do I add permissions with this? I am not getting any new folder or file.
    How do I use internal permissions? (Sorry for the many questions, I just love your wandmin/wand/spells and really want to use them!!)
     
  5. Offline

    NathanWolf

    Hello! Well, Wandmin itself does not support permissions- but Spells has a permissions system. The OP in Spells should have decent instructions on this, I'm hoping to improve it soon- but barely have time to keep up with forums lately, really :(
     
  6. Offline

    TheWolfmasterX

    The only thing of spells that I currently have is the file with Minecraft Properties File (when you open it with notepad) which has a list of all the spells and range and such, which I don't understand :$
    I really don't know how I get this working, but the help you gave is already a step forward :D

    Also I've noticed that I don't have a plugin called Permission.jar or anything, just your support.
    Is that normal or do I need to download it from somewhere? And where if so?
    I love your plugins, I really do!
     
  7. Offline

    NathanWolf

    The only other file you need is permissions.yml - put that in "plugins/Persistence" and it will give all players access to most spells. Let me know if you still have trouble!
     
  8. Offline

    TheWolfmasterX

    Sorry, but how do I put that in the plugin? Just make a new file called permissions.yml in the map Persistence?
    I am not really good with this, sorry! I hope I am not annoying you.
     
  9. Offline

    NathanWolf

    Not at all!

    There should already be a Persistence folder in plugins- if not, create it and put the YML file in there.
     
  10. Offline

    TheWolfmasterX

    Damn, still not working.
    Here's what I did:
    I clicked right mouse button on the link (of permissions.yml) you said in a earlier post and save it in my Persistence folder. This folder was already there.
    I have no clue how to do this, so I hope I did it right.
    You are a great help BTW :D
     
  11. Offline

    NathanWolf

    Hmmm.... are you on Windows? I think people on windows have problems with that file... :( Well, now that you have it, open up that file in notepad.

    Does it look all messed up?

    If so, copy+paste from here, then save with notepad (keep the .yml extension, though!) - let me know if that works.

    Code:
    # Defines the "default" profile
    # All players have this profile by default
    default:
      Spells:
        commands:
          spells: true
        cast:
          - blink
          - torch
          - heal
          - blink
          - torch
          - pillar
          - absorb
          - fill
          - cushion
          - undo
          - alter
          - blast
          - mine
          - tree
          - arrow
          - frost
          - gills
          - familiar
          - blob
          - paint
          - recurse
          - transmute
          - recall
          - disintegrate
          - manifest
          - peek
          - tunnel
          - bridge
    
    # Defines a "wizard" profile
    wizard:
      Spells:
        cast:
          - fire
          - window
          - superblob
          - fireball
          - lava
          - portal
          - phase
          - invincible
          - fire
    
    # Defines the "admin" profile
    # These players can use "/su" to access any command
    # They can also cast spells on the command line
    admin:
      Persistence:
        commands:
          su: true
      Spells:
        commands:
          cast: true
    If this does not work, I'll look into it- there may be an issue in the code, but it would be difficult to track down at this point. Hope to get Magic released soon!! :D (no promises there, though- the code is really a mess at the moment)
     
  12. Offline

    TheWolfmasterX


    Well I am using Windows 7. Tried this, but still no difference.
    I'll have to wait till the next update I guess. To bad though :(
    And what is Magic then? Is it the same thing as wand(min)/spells?
     
  13. Offline

    JDD

    In windows 7 to open these files I suggest:

    • #1 Download Notepad++ it's free and a great text editor. Use it to edit yml files and things of this nature by right clicking on them and clicking with Edit with Notepad++
    • #2 To open jar files which sometimes have the yml files in them, use a program like winrar. Simply right click on the file and choose open with then select winrar.
    I feel your pain on all of this, there is a great community here of mod developers but I am beginning to see major overlap in what are considered generic features of mods, and a good majority of these mods do not come with very well documented setups, nor is their a standardized norm for installing them but with time these things will come and the bukkit community will be here to help while they are on their way :).
     
  14. Offline

    NathanWolf

    See the Spells thread, please, @TheWolfMasterX- I'm going to answer you over there.
     
  15. Offline

    NathanWolf

    Update released for latest CB build (577). Update all jars, or grab elBukkit.zip.
     
  16. Offline

    madpalu

    I'm getting 404 errors on both wandmin.jar and elBukkit.zip...

    Edit: (when trying to download the files...)
     
  17. Offline

    NathanWolf

    Sorry! I'm having DNS issues :(

    It may be a few days before this is resolved, in the meantime use this: DNS-less IP. I set this as my profile status, I'll change that once my DNS is pointed where it's supposed to be (I think I'm getting jerked around by the hosting provider I just left... like some sort of bad breakup :p)
     
  18. Offline

    madpalu

    Thanks for the direct IP link :)
     
  19. Offline

    NathanWolf

    Thanks- it is, frankly, a little insane how long I've been left in limbo, here. I'm told by my new registrar that there's nothing I can really do about it, it's got to go through ICANN, etc. Just sucks that my old registrar douched me so bad before handing over the keys :p
     
  20. Offline

    crash oxide

    Can you please fix the links? (their dead, 404).
    Really need them ASAP!
    Thanks for the great work BTW :)
     
  21. Offline

    NathanWolf

    See my profile status, or the post 3 prior to yours. There is a direct IP you can use until I get my DSN issues resolved.

    Thanks! :D
     
    crash oxide likes this.
  22. Offline

    crash oxide

    Ah, thanks, was a little stressed out ;)
     
  23. Offline

    Miome

    Using Wandmin v0.31, Bukkit #556. I see the topic says to use Bukkit 577 - is this plugin(s) not compatible with the latest recommended build? :(

    Code:
    2011-03-29 17:51:00 [SEVERE] Could not load plugins/Persistence.jar in plugins: null
    org.bukkit.plugin.InvalidPluginException
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:113)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:159)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:107)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:61)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    Caused by: java.lang.NoSuchMethodException: com.elmakers.mine.bukkit.plugins.persistence.PersistencePlugin
    .<init>()
        at java.lang.Class.getConstructor0(Class.java:2719)
        at java.lang.Class.getConstructor(Class.java:1672)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:108)
        ... 8 more
    2011-03-29 17:51:00 [SEVERE] Could not load plugins/Spells.jar in plugins: null
    org.bukkit.plugin.InvalidPluginException
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:113)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:159)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:107)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:61)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    Caused by: java.lang.NoSuchMethodException: com.elmakers.mine.bukkit.plugins.spells.SpellsPlugin.<init>()
        at java.lang.Class.getConstructor0(Class.java:2719)
        at java.lang.Class.getConstructor(Class.java:1672)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:108)
        ... 8 more
    2011-03-29 17:41:26 [SEVERE] PLAYER_INTERACT loading Wandmin v0.31 (Is it up to date?)
    java.lang.NoSuchFieldError: PLAYER_INTERACT
        at com.elmakers.mine.bukkit.plugins.wandmin.WandminPlugin.onEnable(WandminPlugin.java:233)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:118)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:451)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:217)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:92)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:70)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    I tried #577. Wandmin now looks ok, but Spells and Persistence throw the same errors. The files look ok - I can use unzip to look at the files inside. I must be doing something wrong, but not sure what ...

    My bad, I downloaded Spells-.jar and Persistence-.jar instead of Spells.jar and Persistence.jar.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 6, 2016
  24. Offline

    NathanWolf

    You would have to update Spells and Wand and Persistence as well. The current version of all my plugins do not support the latest RB- you have to go back one version on each. Yes, a pain, I know.

    elBukkit.zip, or the current version of all the jars, should be working with 577+.

    Oops! Yeah, I need to remove those- that represents a bad upload on my part, probably from a very long time ago.

    And, right as I typed all that, they just pushed a new RB! All my stuff should work with that...

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 6, 2016
  25. Offline

    Miome

    Still running with 577, I'm finding that when I click something it cast the spell and moves to the next spell on the wand. I checked and I'm definitely only right-clicking.
     
  26. Offline

    NathanWolf

    I noticed that, too, on my public server. 577 was basically a random build, and all my stuff is now broken (apparently) on latest RB. I don't plan on fixing until the next release, so I'm afraid we're SOL for a while WRT my plugins.
     
  27. Offline

    link07

    You need to reuploa areyd the files, as they are no longer there :(
     
  28. Offline

    NathanWolf

    Hm... I think Wandmin needs an update for 602. Should be a copy+paste, somewhat, from Wand which I've fixed already... I'll try to get to it soon :D

    Download links fixed, updated for CB 602.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 6, 2016
  29. Offline

    Coupon

    Am I stupid, or is this just not working. I got a stick, did /wandmin create explore. Then did /wandmin bind cast blink. Then when I right clicked, it said the text box explore:blink, but nothing happined. Also, If I left click, it says unkown consol command. Please help me, this is getting so fustrating.

    I also tried you other mod, and had even a harder time.
     
  30. Offline

    fgsah

    I have a problem, i installed everything correctly but when i left click it says unknown command
     
  31. Offline

    NathanWolf

    @Coupon, @fgsah - Do either of you have Spells installed? Is it working? Try using Wandmin bound to a built-in command, or one you know to be working from another plugin.

    Wandmin comes with no functionality of its own- it's just a UI for other plugins.
     

Share This Page